Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/preferences/ReferencerPreferences.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/preferences/ReferencerPreferences.java	(revision 1025)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/preferences/ReferencerPreferences.java	(revision 1026)
@@ -1,7 +1,5 @@
 package org.txm.referencer.core.preferences;
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TXMPreferences;
 
@@ -14,14 +12,25 @@
  */
 public class ReferencerPreferences extends TXMPreferences {
 
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(ReferencerPreferences.class).getSymbolicName();
-
 	public static final String SORT_BY_FREQUENCIES = "sort_by_frequencies"; //$NON-NLS-1$
 	public static final String PATTERN = "pattern"; //$NON-NLS-1$
 
+	
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(ReferencerPreferences.class)) {
+			new ReferencerPreferences();
+		}
+		return TXMPreferences.instances.get(ReferencerPreferences.class);
+	}
+
+	
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 
 		preferences.putBoolean(SORT_BY_FREQUENCIES, false);
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 1025)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 1026)
@@ -90,7 +90,7 @@
 	 * Creates a JFreeChart charts engine with default Highcharts theme and output format from the preferences.
 	 */
 	public JFCChartsEngine() {
-		this(TXMPreferences.getString(JFCChartsEnginePreferences.OUTPUT_FORMAT, JFCChartsEnginePreferences.PREFERENCE_NODE));
+		this(JFCChartsEnginePreferences.getInstance().getString(JFCChartsEnginePreferences.OUTPUT_FORMAT));
 	}
 	
 
Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 1025)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 1026)
@@ -171,7 +171,7 @@
 
 			// reset the number of clusters to default
 			if(this.hasParameterChanged(AHCPreferences.COLUMNS_COMPUTING))	{
-				this.numberOfClusters = TXMPreferences.getInt(AHCPreferences.N_CLUSTERS, AHCPreferences.PREFERENCES_NODE);
+				this.numberOfClusters = AHCPreferences.getInstance().getInt(AHCPreferences.N_CLUSTERS);
 			}
 
 			
Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/preferences/AHCPreferences.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/preferences/AHCPreferences.java	(revision 1025)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/preferences/AHCPreferences.java	(revision 1026)
@@ -1,8 +1,6 @@
 package org.txm.ahc.core.preferences;
 
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.core.preferences.TXMPreferences;
@@ -16,41 +14,47 @@
  */
 public class AHCPreferences extends TXMPreferences {
 
-	// auto populate the preference node qualifier from the current bundle id
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(AHCPreferences.class).getSymbolicName();
-
-	public static final String PREFERENCES_PREFIX = "ahc_"; //$NON-NLS-1$
-	
-	
 	/**
 	 * To display in 2D or 3D.
 	 */
-	public static final String RENDERING_2D = PREFERENCES_PREFIX + "rendering_2d"; //$NON-NLS-1$
+	public static final String RENDERING_2D = "rendering_2d"; //$NON-NLS-1$
 	
 	/**
 	 * The method (METHODS <- c("average", "single", "complete", "ward", "weighted", "flexible")).
 	 */
-	public static final String METHOD = PREFERENCES_PREFIX + "method"; //$NON-NLS-1$
+	public static final String METHOD = "method"; //$NON-NLS-1$
 	
 	/**
 	 * The metric (euclidean, manhattan).
 	 */
-	public static final String METRIC = PREFERENCES_PREFIX + "metric"; //$NON-NLS-1$
+	public static final String METRIC = "metric"; //$NON-NLS-1$
 	
 	/**
 	 * The number of clusters.
 	 */
-	public static final String N_CLUSTERS = PREFERENCES_PREFIX + "n_clusters"; //$NON-NLS-1$
+	public static final String N_CLUSTERS = "n_clusters"; //$NON-NLS-1$
 	
 	/**
 	 * To compute the columns or the rows.
 	 */
-	public static final String COLUMNS_COMPUTING = PREFERENCES_PREFIX + "columns_computing"; //$NON-NLS-1$
+	public static final String COLUMNS_COMPUTING = "columns_computing"; //$NON-NLS-1$
 	
+	
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(AHCPreferences.class)) {
+			new AHCPreferences();
+		}
+		return TXMPreferences.instances.get(AHCPreferences.class);
+	}
 
+
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		
 		preferences.putBoolean(RENDERING_2D, true);
 		preferences.putInt(N_CLUSTERS, 2);
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 1025)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 1026)
@@ -66,7 +66,7 @@
 	
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(PartitionDimensionsPreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(PartitionDimensionsPreferences.getInstance().getPreferencesNodeQualifier()));
 		this.setTitle(TXMCoreMessages.common_description);
 	}
 }
Index: tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 1025)
+++ tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 1026)
@@ -82,7 +82,7 @@
 	
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(RChartsEnginePreferences.PREFERENCE_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(RChartsEnginePreferences.getInstance().getPreferencesNodeQualifier()));
 	}
 
 	@Override
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/preferences/InternalViewPreferences.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/preferences/InternalViewPreferences.java	(revision 1025)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/preferences/InternalViewPreferences.java	(revision 1026)
@@ -1,7 +1,5 @@
 package org.txm.internalview.core.preferences;
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
@@ -15,18 +13,27 @@
  */
 public class InternalViewPreferences extends TXMPreferences {
 
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(InternalViewPreferences.class).getSymbolicName();
-
-	
 	/**
 	 * Current page number. 
 	 */
 	public static final String CURRENT_PAGE = "current_page"; //$NON-NLS-1$
 
 	
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(InternalViewPreferences.class)) {
+			new InternalViewPreferences();
+		}
+		return TXMPreferences.instances.get(InternalViewPreferences.class);
+	}
+
+	
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		
 		preferences.put(STRUCTURAL_UNIT, TBXPreferences.DEFAULT_STRUCTURAL_UNIT);
 		preferences.put(UNIT_PROPERTIES, TBXPreferences.DEFAULT_UNIT_PROPERTY);
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 1025)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 1026)
@@ -60,7 +60,7 @@
 							resultsChildren.add(element);
 						}
 						// hidden results
-						else if(TBXPreferences.getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES, TBXPreferences.PREFERENCES_NODE))	{
+						else if(TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES))	{
 							hiddentResultsChildren.add(element);
 						}
 
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/preferences/TextsBalancePreferences.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/preferences/TextsBalancePreferences.java	(revision 1025)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/preferences/TextsBalancePreferences.java	(revision 1026)
@@ -1,8 +1,6 @@
 package org.txm.textsbalance.core.preferences;
 
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.core.preferences.TXMPreferences;
@@ -15,22 +13,27 @@
  */
 public class TextsBalancePreferences extends TXMPreferences {
 
-	// auto populate the preference node qualifier from the current bundle id
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(TextsBalancePreferences.class).getSymbolicName();
 	
-	public static final String PREFERENCES_PREFIX = "texts_balance_"; //$NON-NLS-1$
+	public static final String GROUP_BY_TEXTS = "group_by_texts"; //$NON-NLS-1$
+	public static final String METHOD = "method"; //$NON-NLS-1$
 	
-	public static final String GROUP_BY_TEXTS = PREFERENCES_PREFIX + "group_by_texts"; //$NON-NLS-1$
-	public static final String METHOD = PREFERENCES_PREFIX + "method"; //$NON-NLS-1$
 	
-	// local result preferences
-	public static final String STRUCTURAL_UNIT = PREFERENCES_PREFIX + "structural_unit"; //$NON-NLS-1$
-	public static final String STRUCTURAL_UNIT_PROPERTY = PREFERENCES_PREFIX + "structural_unit_property"; //$NON-NLS-1$
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(TextsBalancePreferences.class)) {
+			new TextsBalancePreferences();
+		}
+		return TXMPreferences.instances.get(TextsBalancePreferences.class);
+	}
+
 	
 	@Override
 	public void initializeDefaultPreferences() {
 
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.putBoolean(GROUP_BY_TEXTS, true);
 		preferences.putInt(METHOD, 2);
 		
@@ -40,7 +43,7 @@
 		ChartsEnginePreferences.initializeChartsEngineSharedPreferences(preferences);
 		
 		// to disable the functionality
-		TXMPreferences.setEmpty(PREFERENCES_NODE, ChartsEnginePreferences.SHOW_GRID);
+		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_GRID);
 	}
 	
 	
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 1025)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 1026)
@@ -80,7 +80,7 @@
 		//this.setPreferenceStore(new TXMPreferenceStore(ProgressionPreferences.PREFERENCES_NODE));
 		//System.out.println("ProgressionPreferences.getInstance() " + ProgressionPreferences.PREFERENCES_NODE);
 
-		this.setPreferenceStore(new TXMPreferenceStore(ProgressionPreferences.getInstance().getPreferencesNode()));
+		this.setPreferenceStore(new TXMPreferenceStore(ProgressionPreferences.getInstance().getPreferencesNodeQualifier()));
 		
 		//FIXME: description
 		//setDescription("Progression");
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/preferences/PartitionDimensionsPreferences.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/preferences/PartitionDimensionsPreferences.java	(revision 1025)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/preferences/PartitionDimensionsPreferences.java	(revision 1026)
@@ -1,8 +1,6 @@
 package org.txm.partition.core.preferences;
 
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.core.preferences.TXMPreferences;
@@ -14,17 +12,28 @@
  */
 public class PartitionDimensionsPreferences extends TXMPreferences {
 
-	// auto populate the preference node qualifier from the current bundle id
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(PartitionDimensionsPreferences.class).getSymbolicName();
 	
-	public static final String PREFERENCES_PREFIX = "partition_"; //$NON-NLS-1$
 	
-	public static final String CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE = PREFERENCES_PREFIX + "chart_dimensions_display_parts_count_in_title"; //$NON-NLS-1$
-	public static final String CHART_DIMENSIONS_SORT_BY_SIZE = PREFERENCES_PREFIX + "chart_dimensions_sort_by_parts_size"; //$NON-NLS-1$
+	public static final String CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE = "chart_dimensions_display_parts_count_in_title"; //$NON-NLS-1$
+	public static final String CHART_DIMENSIONS_SORT_BY_SIZE = "chart_dimensions_sort_by_parts_size"; //$NON-NLS-1$
 	
+	
+	
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(PartitionDimensionsPreferences.class)) {
+			new PartitionDimensionsPreferences();
+		}
+		return TXMPreferences.instances.get(PartitionDimensionsPreferences.class);
+	}
+
+	
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.putBoolean(CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE, true);
 		preferences.putBoolean(CHART_DIMENSIONS_SORT_BY_SIZE, false);
 		
@@ -32,7 +41,7 @@
 		ChartsEnginePreferences.initializeChartsEngineSharedPreferences(preferences);
 		
 		// disable unavailable functionality
-		TXMPreferences.setEmpty(PREFERENCES_NODE, ChartsEnginePreferences.SHOW_LEGEND);
+		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_LEGEND);
 		
 	}
 	
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/preferences/ConcordancePreferencePage.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/preferences/ConcordancePreferencePage.java	(revision 1025)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/preferences/ConcordancePreferencePage.java	(revision 1026)
@@ -59,7 +59,7 @@
 
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(ConcordancePreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(ConcordancePreferences.getInstance().getPreferencesNodeQualifier()));
 		this.setTitle(ConcordanceUIMessages.ConcordancerPreferencePage_3);
 		this.setImageDescriptor(ConcordanceAdapterFactory.ICON);
 	}
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1025)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1026)
@@ -285,7 +285,7 @@
 		this.standardComparators = new ArrayList<LineComparator>();
 		this.userDefinedComparators = new ArrayList<LineComparator>();
 		this.setStandardComparators();
-		concordance.setNLinePerPage(TXMPreferences.getInt(ConcordancePreferences.N_LINES_PER_PAGE, ConcordancePreferences.PREFERENCES_NODE));
+		concordance.setNLinePerPage(ConcordancePreferences.getInstance().getInt(ConcordancePreferences.N_LINES_PER_PAGE));
 	}
 
 
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 1025)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 1026)
@@ -38,7 +38,7 @@
 		
 		//ChartsEngine.setCurrrentChartsEngine(this.getEngine(TXMPreferences.getString(ChartsEnginePreferences.CURRENT_NAME, ChartsEnginePreferences.PREFERENCES_NODE)));
 		
-		this.setCurrentEngine(TXMPreferences.getString(ChartsEnginePreferences.CURRENT_NAME, ChartsEnginePreferences.PREFERENCES_NODE));
+		this.setCurrentEngine(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.CURRENT_NAME));
 
 
 		
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 1025)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 1026)
@@ -9,7 +9,6 @@
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.Platform;
-import org.eclipse.core.runtime.RegistryFactory;
 import org.txm.Toolbox;
 import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
@@ -74,7 +73,7 @@
 
 	
 	static	{
-		TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.PREFERENCES_NODE);
+		TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.getInstance().getPreferencesNodeQualifier());
 	}
 	
 	/**
@@ -388,7 +387,7 @@
 	 * @return
 	 */
 	public static Font createFont()	{
-		return createFont(TXMPreferences.getString(ChartsEnginePreferences.FONT, ChartsEnginePreferences.PREFERENCES_NODE));
+		return createFont(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.FONT));
 	}
 	
 	/**
@@ -399,7 +398,7 @@
 	public File createTmpFile(String prefix)	{
 		File file = null;
 		try {
-			File resultsDir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "results"); //$NON-NLS-1$
+			File resultsDir = new File(Toolbox.getTxmHomePath(), "results"); //$NON-NLS-1$
 			resultsDir.mkdirs();
 			
 			// right padding to 3 characters long
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 1025)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 1026)
@@ -1,8 +1,6 @@
 package org.txm.chartsengine.core.preferences;
 
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.core.preferences.TXMPreferences;
@@ -16,9 +14,6 @@
 public class ChartsEnginePreferences extends TXMPreferences {
 
 
-	// auto populate the preference node qualifier from the current bundle id
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(ChartsEnginePreferences.class).getSymbolicName();
-
 	/**
 	 * The name of the current charts engine.
 	 */
@@ -88,9 +83,21 @@
 	public final static String DEFAULT_CHART_TYPE = "[Default]"; //$NON-NLS-1$
 	
 
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(ChartsEnginePreferences.class)) {
+			new ChartsEnginePreferences();
+		}
+		return TXMPreferences.instances.get(ChartsEnginePreferences.class);
+	}
+
+	
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		
 		preferences.put(CURRENT_NAME, "jfreechart_charts_engine"); //$NON-NLS-1$
 		preferences.put(DEFAULT_EXPORT_FORMAT, "svg"); //$NON-NLS-1$
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 1025)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 1026)
@@ -7,7 +7,6 @@
 import java.util.ArrayList;
 
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
-import org.txm.core.preferences.TXMPreferences;
 
 /**
  * Base theme for charts.
@@ -48,7 +47,7 @@
 	 */
 	public Theme() {
 		
-		this.setMonochromeColor(TXMPreferences.getString(ChartsEnginePreferences.MONOCHROME_COLOR, ChartsEnginePreferences.PREFERENCES_NODE));
+		this.setMonochromeColor(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.MONOCHROME_COLOR));
 		
 		this.palette1 = new ArrayList<Color>(1);
 		this.palette5 = new ArrayList<Color>(5);
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 1025)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 1026)
@@ -81,7 +81,7 @@
 	
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(JFCChartsEnginePreferences.PREFERENCE_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(JFCChartsEnginePreferences.getInstance().getPreferencesNodeQualifier()));
 	}
 
 	@Override
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 1025)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 1026)
@@ -1,8 +1,6 @@
 package org.txm.ca.core.preferences;
 
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.core.preferences.TXMPreferences;
@@ -16,10 +14,6 @@
  */
 public class CAPreferences extends TXMPreferences {
 
-	// auto populate the preference node qualifier from the current bundle id
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(CAPreferences.class).getSymbolicName();
-	
-	
 	/** The Constant QUALITYDISPLAY. */
 	public static final String QUALITY_DISPLAY_FORMAT = "quality_display_format"; //$NON-NLS-1$
 
@@ -48,10 +42,21 @@
 	public static final String SHOW_POINT_SHAPES = "chart_show_point_shapes"; //$NON-NLS-1$
 	
 	
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(CAPreferences.class)) {
+			new CAPreferences();
+		}
+		return TXMPreferences.instances.get(CAPreferences.class);
+	}
 
+
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		
 		preferences.putInt(F_MIN, 10);
 		preferences.putInt(V_MAX, 200);
@@ -78,7 +83,7 @@
 		ChartsEnginePreferences.initializeChartsEngineSharedPreferences(preferences);
 		
 		// disable unavailable functionality
-		TXMPreferences.setEmpty(PREFERENCES_NODE, ChartsEnginePreferences.RENDERING_COLORS_MODE);
+		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), ChartsEnginePreferences.RENDERING_COLORS_MODE);
 
 	}
 	
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 1025)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 1026)
@@ -60,8 +60,7 @@
 			
 			chart = ChartFactory.createScatterPlot(Utils.createCAFactorialMapChartTitle(ca), 
 					"", "", dataset, PlotOrientation.VERTICAL, 
-					TXMPreferences.getBoolean(ChartsEnginePreferences.SHOW_LEGEND, 
-					CAPreferences.PREFERENCES_NODE), false, false);
+					CAPreferences.getInstance().getBoolean(ChartsEnginePreferences.SHOW_LEGEND), false, false);
 
 			// Custom renderer
 			chart.getXYPlot().setRenderer(new CAItemSelectionRenderer(ca, chart));
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 1025)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 1026)
@@ -45,6 +45,7 @@
 import org.rosuda.REngine.REngineException;
 import org.rosuda.REngine.Rserve.RConnection;
 import org.rosuda.REngine.Rserve.RserveException;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.statsengine.core.StatException;
@@ -247,7 +248,7 @@
 			//TODO: this method uses the right directory ?
 			//Bundle bundle = FrameworkUtil.getBundle(RWorkspace.class);
 			//File userdir = new File(bundle.getLocation());
-			File userDir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "R");
+			File userDir = new File(Toolbox.getTxmHomePath(), "R");
 			//System.out.println("BUNDLE LOCATION OF '" + bundle.getSymbolicName() + "': " + userDir);
 			workspace = new RWorkspace(userDir);
 		}
Index: tmp/org.txm.chartsengine.graphstream.core/src/org/txm/chartsengine/graphstream/core/GSChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.graphstream.core/src/org/txm/chartsengine/graphstream/core/GSChartsEngine.java	(revision 1025)
+++ tmp/org.txm.chartsengine.graphstream.core/src/org/txm/chartsengine/graphstream/core/GSChartsEngine.java	(revision 1026)
@@ -41,7 +41,7 @@
 	 * Creates a GraphStream charts engine with output format from the preferences.
 	 */
 	public GSChartsEngine() {
-		this(TXMPreferences.getString(GSChartsEnginePreferences.OUTPUT_FORMAT, GSChartsEnginePreferences.PREFERENCE_NODE));
+		this(GSChartsEnginePreferences.getInstance().getString(GSChartsEnginePreferences.OUTPUT_FORMAT));
 	}
 	
 
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1025)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1026)
@@ -88,10 +88,10 @@
 				int minright = 1;
 				int maxright = 50;
 
-				int minf = TXMPreferences.getInt(TXMPreferences.F_MIN, CooccurrencePreferences.PREFERENCES_NODE);
-				int mincof = TXMPreferences.getInt(CooccurrencePreferences.MIN_COUNT, CooccurrencePreferences.PREFERENCES_NODE);
-				int minscore = (int) TXMPreferences.getDouble(CooccurrencePreferences.MIN_SCORE, CooccurrencePreferences.PREFERENCES_NODE);
-				boolean buildLexicalTableWithCooccurrents = TXMPreferences.getBoolean(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, CooccurrencePreferences.PREFERENCES_NODE);
+				int minf = CooccurrencePreferences.getInstance().getInt(TXMPreferences.F_MIN);
+				int mincof = CooccurrencePreferences.getInstance().getInt(CooccurrencePreferences.MIN_COUNT);
+				int minscore = (int) CooccurrencePreferences.getInstance().getDouble(CooccurrencePreferences.MIN_SCORE);
+				boolean buildLexicalTableWithCooccurrents = CooccurrencePreferences.getInstance().getBoolean(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE);
 
 				StructuralUnit limit = null;
 				Query query = null;
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java	(revision 1025)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java	(revision 1026)
@@ -97,7 +97,7 @@
 
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(CooccurrencePreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(CooccurrencePreferences.getInstance().getPreferencesNodeQualifier()));
 		//setDescription("Cooccurrences");
 		this.setTitle(CooccurrenceUIMessages.CoocPreferencePage_5);
 		this.setImageDescriptor(CooccurrenceAdapterFactory.ICON);
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/LineLabelProvider.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/LineLabelProvider.java	(revision 1025)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/LineLabelProvider.java	(revision 1026)
@@ -45,7 +45,7 @@
 public class LineLabelProvider implements ITableLabelProvider {
 
 	/** The format. */
-	String format = TXMPreferences.getString(CooccurrencePreferences.SCORE_FORMAT, CooccurrencePreferences.PREFERENCES_NODE);
+	String format = CooccurrencePreferences.getInstance().getString(CooccurrencePreferences.SCORE_FORMAT);
 
 	/* (non-Javadoc)
 	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object, int)
